Subject: [bug#32196] [PATCH core-updates] packages, scripts, utils: Disable threaded xz compression.

From: [email-masked] (Ludovic Courtès)
Date: Thu, 19 Jul 2018 11:33:56 +0200

Hi Marius,

Marius Bakke <[email-masked]> skribis:

> Archives produces by "xz --threads" are not reproducible: they depend on the
> number of cores used for compressing.  See <https://bugs.gnu.org/31015>.
>
> * guix/packages.scm (patch-and-repack): Explicitly use 1 thread for compression.
> * guix/scripts/pack.scm (%compressors, bootstrap-xz): Likewise.
> * guix/utils.scm (decompressed-port, compressed-port, compressed-output-port):
> Likewise.

I hadn’t noticed -T0 had made it to ‘master’.

I’d suggest removing 63102406f22412bb922de5549deb89d3594a38c0 on master
(no rebuild needed), with a reference to #31015 in the commit log.  And
then similarly reverting c8a3dea847bb9f87fa1876d0c6c3356d6226f121 on
‘core-updates’.

Sounds good?

If we’re concerned about speed, perhaps we should switch to lzip, which
I think has better behavior.

Thanks,
Ludo’.